| Home | Libraries | People | FAQ | More

## Function template swap

boost::container::swap — Swaps contents of two static_vectors.

## Synopsis

    // In header: <boost/container/static_vector.hpp>

    template<typename V, std::size_t C1, std::size_t C2>
      void swap(static_vector< V, C1 > & x, static_vector< V, C2 > & y);

## Description

This function calls static_vector::swap().

Complexity. Linear O(N).

Parameters:

`x` | The first `static_vector`.
`y` | The second `static_vector`.